import { PreMiddlewareFunction, Schema } from "mongoose";
import { FieldConstraintsCollection } from "./";
export declare const mongoValuesToApply: string[];
export declare const mongoValidateCallbacks: {
    maxLength: any;
    exactLength: any;
};
export declare const mongoFinalValidationCallbacks: {
    greaterOrEqualTo: any;
};
export declare function constructSchema(inputFields: FieldConstraintsCollection): Schema<import("mongoose").Document<any, any, any>, import("mongoose").Model<any, any, any>, undefined, any>;
export declare function mongoCreateValidation<T>(message: string, validate: (toCheck: T, ...referenceVals: any[]) => boolean): (...checkSettings: any[]) => {
    message: string;
    validator: (value: T) => boolean;
};
export declare function mongoCreateValidateMiddleware(message: string, automaticResponseToUndefined: boolean | null, callback: (resolvedFields: any[], toValidate: any, fields: any[]) => boolean): (fieldsRequiredToValidate: any[]) => PreMiddlewareFunction<any>;
