import { FinalValidationCreator, ValidationCreator } from "./";
export declare function isGreaterOrEqualTo(resolvedFields: any[]): boolean;
export declare const isExactLength: (value: string, length: number) => boolean;
export declare const isMaxLength: (value: string, length: number) => boolean;
export default function injectValidationCreators(createValidation: ValidationCreator<any>, createFinalValidation: FinalValidationCreator<any>): {
    stringValidate: {
        exactLength: any;
        maxLength: any;
    };
    numberValidate: {
        greaterOrEqualTo: any;
    };
};
export declare function callOverallValidationFunction(fieldsRequiredToValidate: any[], toValidate: any, automaticResponseToUndefined: boolean | null, callback: (resolvedFields: any[], toValidate: any, fields: any[]) => boolean): boolean;
