import { FieldConstraintsCollection, Flattened } from "./";
export declare function deepAssign<T>(target: T, src: T): T;
export declare function flatten(fields: FieldConstraintsCollection): Flattened;
export declare function deleteEmptyObjectsAndUndefined<T>(target: T): any;
export declare const fieldTypesByTypeName: {
    string: StringConstructor;
    number: NumberConstructor;
    boolean: BooleanConstructor;
    date: DateConstructor;
    object: ObjectConstructor;
};
